"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _sideUtils = require("@seleniumhq/side-utils");

var _codeExportCsharpCommons = require("code-export-csharp-commons");

// Licensed to the Software Freedom Conservancy (SFC) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The SFC licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.
_sideUtils.codeExport.register.preprocessors(_codeExportCsharpCommons.Command.emitters);

function register(command, emitter) {
  _sideUtils.codeExport.register.emitter({
    command,
    emitter,
    emitters: _codeExportCsharpCommons.Command.emitters
  });
}

function emit(command) {
  return _sideUtils.codeExport.emit.command(command, _codeExportCsharpCommons.Command.emitters[command.command], {
    variableLookup: _codeExportCsharpCommons.Command.variableLookup,
    emitNewWindowHandling: _codeExportCsharpCommons.Command.extras.emitNewWindowHandling
  });
}

function canEmit(commandName) {
  return !!_codeExportCsharpCommons.Command.emitters[commandName];
}

var _default = {
  canEmit,
  emit,
  register,
  extras: {
    emitWaitForWindow: _codeExportCsharpCommons.Command.extras.emitWaitForWindow
  }
};
exports.default = _default;